﻿using OtborEtap.Models;
using ReactiveUI;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace OtborEtap.ViewModels
{
    
    internal class UserPageViewModel: ViewModelBase
    {
        PrdbOtborContext db = new PrdbOtborContext();

        User userr = new User();

        User user;

        List<User> currentuser;

        List<User> users;

        List<User> users0;

        List<Gender> genders;

        string find;

        public List<User> CurrentUser { get => currentuser; set => this.RaiseAndSetIfChanged(ref currentuser, value); }

        public List<Gender> Genders { get => genders; set => this.RaiseAndSetIfChanged(ref genders, value); }

        public List<User> Users0 { get => users0; set => this.RaiseAndSetIfChanged(ref users0, value); }

        public List<User> Users { get => users; set => this.RaiseAndSetIfChanged(ref users, value); }

        public string Find { get => find; set { find = value; AllFilters(); } }

        public UserPageViewModel() 
        {
            users = db.Users.ToList();

            genders = db.Genders.ToList();
            //genders.Add(new Gender() { Id = 0, Title = "Сбросить фильтры" });

            users0 = users;
        }
        void AllFilters()
        {
            Users = Users0;
            if (!string.IsNullOrEmpty(find)) Users = Users.Where(x => x.Name.Contains(find)).ToList();
        }
    }
}
